.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 17:43:05 1993 by Rik Faith (faith@cs.unc.edu)
.TH USLEEP 3  "July 4, 1993" "" "Linux Programmer's Manual"
.SH NAME
usleep \- suspend execution for interval of microseconds
.SH SYNOPSIS
.nf
.B #include <unistd.h>
.sp
.BI "void usleep(unsigned long " usec );
.fi
.SH DESCRIPTION
The \fBusleep()\fP function suspends execution of the calling process for
\fIusec\fP microseconds.  The sleep may be lengthened slightly by any 
system activity or by the time spent processing the call.
.SH "CONFORMING TO"
BSD 4.3
.SH "SEE ALSO"
.BR setitimer (2),
.BR getitimer "(2),
.BR sleep (3),
.BR alarm (2),
.BR select (2)
